Page MenuHomePhabricator

Reply added inside wrapper node for "The Signpost" delivery
Closed, ResolvedPublic

Assigned To
Authored By
matmarex
Dec 4 2021, 1:29 AM
Referenced Files
F34951333: Screenshot 2022-02-14 at 14.55.30.png
Feb 14 2022, 1:57 PM
F34951328: Screenshot 2022-02-14 at 14.52.14.png
Feb 14 2022, 1:57 PM
F34951331: Screenshot 2022-02-14 at 14.53.58.png
Feb 14 2022, 1:57 PM
F34926095: image.png
Jan 21 2022, 8:33 PM
F34926093: image.png
Jan 21 2022, 8:33 PM
F34926097: image.png
Jan 21 2022, 8:33 PM
F34825892: image.png
Dec 4 2021, 1:31 AM
F34825895: image.png
Dec 4 2021, 1:31 AM

Description

In these edits, the replies were added inside wrapper <div> node for "The Signpost" delivery, instead of after it:

I'm pretty sure that this worked correctly after T250126, it might be a regression.

Event Timeline

The issue is also apparent when using the reply tool before saving (note how the font from the message is applied to our interface):

image.png (2×3 px, 479 KB)

And in a few other messages on https://en.wikipedia.org/wiki/User_talk:Dylsss:

image.png (2×3 px, 403 KB)

image.png (2×3 px, 426 KB)

CC @Dylsss, in case you find this interesting, since you were testing this in that edit I found, and since you're active on Phabricator. I found the edits using https://dtcheck.toolforge.org/, which is a tool we built for tracking down dirty diffs in edits made with the reply tool.

Change 743525 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[mediawiki/extensions/DiscussionTools@master] [WIP] Ignore some invisible nodes when looking for comment frames

https://gerrit.wikimedia.org/r/743525

Change 747812 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[mediawiki/extensions/DiscussionTools@master] Test cases for adding replies outside of frames

https://gerrit.wikimedia.org/r/747812

Change 747812 merged by jenkins-bot:

[mediawiki/extensions/DiscussionTools@master] Test cases for adding replies outside of frames

https://gerrit.wikimedia.org/r/747812

Change 743525 merged by jenkins-bot:

[mediawiki/extensions/DiscussionTools@master] Ignore some invisible nodes when looking for comment frames

https://gerrit.wikimedia.org/r/743525

matmarex moved this task from Code Review to QA on the Editing-team (FY2021-22 Kanban Board) board.

QA note: This can be tested without saving the comments, see T297034#7547546.

matmarex removed a project: Editing QA.
matmarex added a subscriber: Ryasmeen.

@Ryasmeen noticed that it's only partially fixed:

The issue is also apparent when using the reply tool before saving (note how the font from the message is applied to our interface):

And in a few other messages on https://en.wikipedia.org/wiki/User_talk:Dylsss:

BeforeAfterStatus
image.png (2×3 px, 479 KB)
image.png (2×3 px, 480 KB)
fixed
image.png (2×3 px, 403 KB)
image.png (2×3 px, 428 KB)
NOT FIXED
image.png (2×3 px, 426 KB)
image.png (2×3 px, 411 KB)
fixed

Change 756637 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[mediawiki/extensions/DiscussionTools@master] One more tweak for comparing comment ranges to transclusion/DOM ranges

https://gerrit.wikimedia.org/r/756637

Change 756637 merged by jenkins-bot:

[mediawiki/extensions/DiscussionTools@master] One more tweak for comparing comment ranges to transclusion/DOM ranges

https://gerrit.wikimedia.org/r/756637

@Ryasmeen noticed that it's only partially fixed:

The issue is also apparent when using the reply tool before saving (note how the font from the message is applied to our interface):

And in a few other messages on https://en.wikipedia.org/wiki/User_talk:Dylsss:

BeforeAfterStatus
image.png (2×3 px, 479 KB)
image.png (2×3 px, 480 KB)
fixed
image.png (2×3 px, 403 KB)
image.png (2×3 px, 428 KB)
NOT FIXED
image.png (2×3 px, 426 KB)
image.png (2×3 px, 411 KB)
fixed

All good now. Following the same order as above, the fixed versions look like:

Screenshot 2022-02-14 at 14.55.30.png (1×2 px, 369 KB)

Screenshot 2022-02-14 at 14.52.14.png (956×2 px, 218 KB)

Screenshot 2022-02-14 at 14.53.58.png (1×2 px, 317 KB)

@matmarex , let me know if this doesn't align with the expected result.